import { QbitClient } from "./qbit.client"
import { QbitCapabilities } from "./qbit.types"

let client: QbitClient | null = null;
let capabilities: QbitCapabilities | null = null;

export const setQbitClient = (instance: QbitClient) => {
  client = instance;
};

export const getQbitClient = () => {
  if (!client) {
    throw new Error("Qbit client not initialized");
  }
  return client;
};

export const setQbitCapabilities = (caps: QbitCapabilities) => {
  capabilities = caps;
};

export const getQbitCapabilities = () => capabilities;
